Subject: bug#723: init-system-helpers: update-rc.d calls systemctl on a SysVinit system, creating a recursion

From: [email-masked] (Wolfgang Wegner)
Date: Sat, 12 Nov 2022 21:20:17 +0100

Package: init-system-helpers
Version: 1.65.2devuan1
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

I am trying to install a package which expects SystemD. I manually added
scripts and an initial set for sysVinit. However, the post-install script
calls "systemctl --no-reload enable <packagename>", which invokes
update-rc.d, which in turn diverts to a systemctl call, and so on.

Calling update-rc.d from the systemctl "abstraction" (surrogate?) seems
to be correct, but I would have expected update-rc.d to detect the system's
init system and - as I am using sysVinit on Devuan - just modify the links.

update-rc.d behaviour can also be reproduced when calling it for an already
installed service.

-- System Information:
Distributor ID: Devuan
Description:    Devuan GNU/Linux 5 (daedalus/ceres)
Release:        5
Codename:       daedalus ceres
Architecture: x86_64

Kernel: Linux 5.19.9-wolfgang-wolfgang (SMP w/12 CPU threads; PREEMPT)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages init-system-helpers is related to:
ii  insserv  1.24.0-1

-- no debconf information